import './Selectable.css'
import React from 'react';
import { Stone, oppositeColor } from '../Stone';

export default function Selectable({game}) {

  return (
    <div className='selectable' key={game.uuid}>
      <div className='tiltle'>
        {Stone(game.myColor)}
        <i>vs</i>
        {Stone(oppositeColor(game.myColor))}
        {game.opponentName}
      </div>
      <q>{game.message}</q>
    </div>
  )
};

