import './index.css';
import React from 'react';
import GameHeader from './GameHeader'
import GameSelector from './GameSelector'
import GameAction from './GameAction'
import GameBoard from './GameBoard'

// import { AppData } from "../../context/data"

export default function Game() {

  return <div className="split">

    <div className='split left'>
      <GameHeader />
      <GameSelector />
    </div>

    <div className='split right'>
      <GameAction />
      <GameBoard />
    </div>
  </div>

}
